Skip to main content

Reference data

Look up countries, states, cities and postal codes.

Paths are relative to https://api.rushhourapp.com/api/v1. See the API reference overview for how to read each entry.

Countries and states​

MethodPathSummary
GET/CountriesGet countries.
GET/Countries/{countryId}/StatesGet states.
GET/Countries/{stateId}/CitiesList the cities of a state.

GET /Countries​

Get countries.

Response: envelope; data is array of CountryDto.

GET /Countries/{countryId}/States​

Get states.

Parameters

NameInTypeRequiredDescription
countryIdpathinteger (int32)Yes

Response: envelope; data is array of State.

GET /Countries/{stateId}/Cities​

List the cities of a state.

Parameters

NameInTypeRequiredDescription
stateIdpathinteger (int32)Yes

Response: envelope; data is array of City.

Cities and postal codes​

MethodPathSummary
GET/CitiesGet cities.
GET/Cities/{cityId}/PostalCodesGet postal codes.
GET/Cities/PostalCodes/ValidateValidate postal code.

GET /Cities​

Get cities.

Response: envelope; data is array of City.

GET /Cities/{cityId}/PostalCodes​

Get postal codes.

Parameters

NameInTypeRequiredDescription
cityIdpathinteger (int32)Yes

Response: envelope; data is CityPostalCodesDto.

GET /Cities/PostalCodes/Validate​

Validate postal code.

Parameters

NameInTypeRequiredDescription
cityIdqueryinteger (int32)No
countryIdqueryinteger (int32)No
postalCodequerystringNo

Response: envelope; data is PostalCodeValidationDto.